Subject: Ticket Assigned - 9560286586 DTBC
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 16 Mar 2022 06:35:55 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9560286586 DTBC VERIFIED HUB USED AUTOMOBILE LL.C                    Hi           10:21 AM, 16th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:21 AM, 16th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:21 AM, 16th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:21 AM, 16th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:21 AM, 16th Mar                     VERIFIED HUB USED AUTOMOBILE LL.C                    9560286586           10:22 AM, 16th Mar                     VERIFIED HUB USED AUTOMOBILE LL.C                    Order number           10:22 AM, 16th Mar                     VERIFIED HUB USED AUTOMOBILE LL.C                    Waiting For Delivery           10:22 AM, 16th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            10:23 AM, 16th Mar                   New                   If you have any pictures that you would like to share, please do that.            10:23 AM, 16th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           10:23 AM, 16th Mar                     VERIFIED HUB USED AUTOMOBILE LL.C                             10:24 AM, 16th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            10:28 AM, 16th Mar                   Ahmed                   Can you share your active contact number with us please.           10:30 AM, 16th Mar                     VERIFIED HUB USED AUTOMOBILE LL.C                    0521139995           10:30 AM, 16th Mar                   Ahmed                   thank you for sharing your contact number with us, I've just checked the order. We've escalated your request to the courier team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           10:33 AM, 16th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4032876